Skip to content
Documentation
Explore guides

For administrators

Absence categories

List, create, show, update, and delete absence categories in the company.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all absence categories

GET /api/v3/absence_categories

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "name": "Holiday",
    "description": "Paid holiday",
    "colour": "green",
    "icon": "bell"
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "name": "Holiday",
    "description": "Paid holiday",
    "colour": "green",
    "icon": "bell"
  }
]

Create an absence category

POST /api/v3/absence_categories

Request

{
  "name": "Holiday",
  "description": "Paid holiday",
  "colour": "green",
  "icon": "archive-box",
  "pending_recovery": false
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Holiday",
  "description": "Paid holiday",
  "colour": "green",
  "icon": "bell"
}

Show an absence category

GET /api/v3/absence_categories/{absence_category_id}

Parameter Type Description
absence_category_id string (UUID) Absence category id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Holiday",
  "description": "Paid holiday",
  "colour": "green",
  "icon": "bell"
}

Update an absence category

PUT /api/v3/absence_categories/{absence_category_id}

Request

{
  "name": "Holiday updated",
  "description": "Updated description",
  "colour": "orange",
  "icon": "bell-slash",
  "pending_recovery": true
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Holiday updated",
  "description": "Updated description",
  "colour": "orange",
  "icon": "bell-slash"
}

Delete an absence category

DELETE /api/v3/absence_categories/{absence_category_id}

Response 200

{}